package com.gree.mall.contest.bean.activity;

import com.gree.mall.contest.plus.entity.PromotionGroupSpec;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class PromotionGoods {

    @Schema(description = "商品id")
    private String goodsId;
    @Schema(description = "商品名称")
    private String goodsName;
    @Schema(description = "商品图")
    private String goodsImgSrc;
    @Schema(description = "活动规格列表")
    private List<PromotionGroupSpec> specs;
    @Schema(description = "排序")
    private Integer sortNum;

}
