package com.gree.mall.contest.bean.admin;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.StatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class AdminFastEntryVO {

    @ZfireField(hide = true)
    private String id;

    @Schema(description = "系统名称")
    private String sysName;

    @Schema(description  = "展示名称")
    private String name;

    @Schema(description  = "链接地址")
    private String url;

    @Schema(description  = "图标")
    private String icon;

    @Schema(description  = "是否展示")
    private StatusEnum status;

    @Schema(description  = "可否点击")
    private StatusEnum status2;

    @Schema(description  = "类型")
    private String type;

    @Schema(description  = "code")
    private String code;

    @Schema(description  = "排序")
    private Integer sort;

    @Schema(description  = "全路径")
    private String fullUrl;


    @Schema(description  = "创建人")
    private String createBy;

    @Schema(description  = "创建时间")
    private Date createTime;

    @Schema(description  = "修改人")
    private String updateBy;

    @Schema(description  = "修改时间")
    private Date updateTime;

}
