package com.gree.mall.contest.bean.goods;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class CategoryBean {

    @Schema(description = "分类id")
    private String categoryId;

    @Schema(description = "分类名称")
    private String name;
    @Schema(description = "图片url")
    private String imgUrl;
    @Schema(description = "商品数量")
    private String goodsNum;
    @Schema(description = "层级")
    private String level;
    @Schema(description = "上层id")
    private String parentId;
    @Schema(description = "排序值")
    private String sortNum;

    @Schema(description = "子分类")
    private List<CategoryBean> sub;

}
