package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.OrderComment;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class GoodsComment extends OrderComment {

    @Schema(description = "用户名称")
    private String userName;
    @Schema(description = "用户头像")
    private String avatar;
    @Schema(description = "标签")
    private List<String> tags;
    @Schema(description = "图片")
    private List<String> imgs;

}
