package com.gree.mall.contest.bean.goods;


import com.gree.mall.contest.plus.entity.Goods;
import com.gree.mall.contest.plus.entity.GoodsNewsCategoryGoods;
import com.gree.mall.contest.plus.entity.GoodsSpec;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsNewsCategoryGoodsDetailBean extends GoodsNewsCategoryGoods {

    @Schema(description = "商品")
    private Goods goods;

    @Schema(description = "商品规格")
    private List<GoodsSpec> goodsSpecs;
}
