package com.gree.mall.contest.bean.order;

import com.gree.mall.contest.plus.entity.CommonFile;
import com.gree.mall.contest.plus.entity.OrderDetail;
import com.gree.mall.contest.plus.entity.OrderRefund;
import com.gree.mall.contest.plus.entity.OrderRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class OrderRefundDetailBean extends OrderRefund {

    @Schema(description = "订单详情")
    private List<OrderDetail> orderDetails;
    @Schema(description = "物流凭证")
    private List<CommonFile> files;
    @Schema(description = "退款凭证")
    private List<CommonFile> tkFiles;
    @Schema(description = "工单信息")
    private List<OrderRequest> orderRequests;
    private Boolean toWorkOrder = false;

}
