package com.gree.mall.contest.bean.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class RefundGoodsBean {

    @Schema(description = "订单id")
    private String orderId;
    @Schema(description = "退款订单商品明细id")
    private String orderDetailId;
    @Schema(description = "退款方式：REFUND_AMOUNT=仅退款  REFUND_GOODS=退货退款")
    private String refundType;
    @Schema(description = "退换货原因")
    private String refundReason;
    @Schema(description = "退换货说明")
    private String refundExplain;
    @Schema(description = "凭证ids")
    private List<String> imgIds;
    @Schema(description = "退款商品")
    private List<RefundGoods> refundGoods;


}
