package com.gree.mall.contest.bean.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
public class UserApplyBean {

    @Schema(description = "id")
    private String id;

    @Schema(description = "申请手机号")
    private String mobile;

    @Schema(description = "微信昵称")
    private String nickName;

    @Schema(description = "微信用户头像")
    private String avatar;

    @Schema(description = "状态 WAIT待审核 OK通过 FAIL拒绝")
    private String status;

    @Schema(description = "申请时间")
    private Date createTime;

    @Schema(description = "审核时间")
    private Date updateTime;
}
