package com.gree.mall.contest.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum MiniPortEnum implements BaseEnum {
    USER("USER","用户端"),
    WORKER("WORKER","师傅端"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}