package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.GoodsNewsCategory;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsNewsCategoryDetailBean extends GoodsNewsCategory {

    @Schema(description = "所有标签(标签1,标签2)")
    private String allTag;

    @Schema(description = "新维度分类商品详情")
    private List<GoodsNewsCategoryGoodsDetailBean> goodsList;

}
