package com.gree.mall.contest.bean.pay;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class PayDetail {
    @Schema(description = "paySign")
    private String paySign;
    @Schema(description = "微信返回的预支付id")
    private String payPackage;
    @Schema(description = "paySign")
    private String nonceStr;
    @Schema(description = "当前的时间")
    private String timeStamp;
    @Schema(description = "id")
    private String id;
    @Schema(description = "是否需要微信支付 true/false")
    private Boolean isPay = true;
    @Schema(description = "扫码支付的url")
    private String codeUrl;

}
