package com.gree.mall.contest.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.contest.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PlatformEnum implements BaseEnum {
    JD("JD", "京东"),
    TM("TM", "天猫"),
    PDD("PDD", "拼多多"),
    MALL("MALL", "自营商城"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;

}